# class toTabWidget

An extension of the regular tab widget with posibility to hide tabs. More...

Definition | `#include <totabwidget.h>`
Inherits | QTabWidget (qt) [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toTabWidget (QWidget *parent=0,const char *name=0,WFlags f=0)
- virtual void setTabShown (QWidget *w, bool value)
- virtual void showTab (QWidget *w)
- virtual void hideTab (QWidget *w)

## Detailed Description

An extension of the regular tab widget with posibility to hide tabs.

toTabWidget (QWidget *parent=0,const char *name=0,WFlags f=0)

### toTabWidget

Constructor.

void setTabShown (QWidget *w, bool value)

### setTabShown

[virtual]

Specify if a tab is shown.

Parameters:

w | Widget to change visibility.
shown | Show tab if true, hide if false.

void showTab (QWidget *w)

### showTab

[virtual]

Specify that a tab is shown.

Parameters:

w | Tab to show.

void hideTab (QWidget *w)

### hideTab

[virtual]

Specify that a tab is hidden.

Parameters:

w | Tab to hide.

Generated by: nneul on skyhawk on Wed Feb 23 19:49:58 2005, using kdoc 2.0a54.